---
title: Map() constructor
slug: Web/JavaScript/Reference/Global_Objects/Map/Map
tags:
  - Constructor
  - JavaScript
  - Map
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Map()</code> constructor</strong> creates {{jsxref("Map")}} objects.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">new Map([<var>iterable</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>iterable</var></code></dt>
 <dd>An {{jsxref("Array")}} or other <a href="/en-US/docs/Web/JavaScript/Guide/iterable">iterable</a> object whose elements are key-value pairs. (For example, arrays with two elements, such as <code>[[ 1, 'one' ],[ 2, 'two' ]]</code>.) Each key-value pair is added to the new <code>Map</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Creating_a_new_Map">Creating a new Map</h3>

<pre class="brush: js">let myMap = new Map([
  [1, 'one'],
  [2, 'two'],
  [3, 'three'],
])
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-map-constructor', 'Map constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Map.Map")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Set")}}</li>
 <li>{{jsxref("WeakMap")}}</li>
 <li>{{jsxref("WeakSet")}}</li>
</ul>
